package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.UrlBarcodeFormat;

public class UrlBarcode extends BarcodeFormatValueWrapper<UrlBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public UrlBarcodeFormat urlBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected UrlBarcodeFormat getFormatValue() {
        return urlBarcodeFormat;
    }
}
